aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPriit Laes <plaes@plaes.org>2013-03-08 16:39:20 +0200
committerPriit Laes <plaes@plaes.org>2013-03-08 16:39:20 +0200
commit0174a45e5ec5cc4adfb9eb20ca4b0f3db88a5582 (patch)
treebaddd59c9bf28512e4a9911024827b427444fb84 /www-client
parentx11-libs/gtk+: Add 3.7.12 to overlay (diff)
downloadgnome-0174a45e5ec5cc4adfb9eb20ca4b0f3db88a5582.tar.gz
gnome-0174a45e5ec5cc4adfb9eb20ca4b0f3db88a5582.tar.bz2
gnome-0174a45e5ec5cc4adfb9eb20ca4b0f3db88a5582.zip
www-client/epiphany: Add 3.7.91 to overlay
Diffstat (limited to 'www-client')
-rw-r--r--www-client/epiphany/Manifest1
-rw-r--r--www-client/epiphany/epiphany-3.7.91.ebuild84
-rw-r--r--www-client/epiphany/epiphany-9999.ebuild37
-rw-r--r--www-client/epiphany/files/epiphany-3.3.90-paxctl-introspection.patch24
-rwxr-xr-xwww-client/epiphany/files/paxctl.sh24
5 files changed, 93 insertions, 77 deletions
diff --git a/www-client/epiphany/Manifest b/www-client/epiphany/Manifest
new file mode 100644
index 00000000..7a951635
--- /dev/null
+++ b/www-client/epiphany/Manifest
@@ -0,0 +1 @@
+DIST epiphany-3.7.91.tar.xz 2482380 SHA256 52f09d84c813206d6721681d37a05c50f028e734e8c52b606508669071a32b86 SHA512 1821011184d6a98c1d6f3ef240e5463b10289609b2eca647bfee71a9b43961cba4da70790f3e0d42b5c7d2fb759bbb9c225b582530b29880fae93a3b81fdff30 WHIRLPOOL 0f108f72992c805554335abb61467108c8bdb7b43cc89ef86132d29f5a99594978330bbc56f39f2dc3c7a31ba831efb47a9a7b7f1883247221e27fdfe5e6dfdd
diff --git a/www-client/epiphany/epiphany-3.7.91.ebuild b/www-client/epiphany/epiphany-3.7.91.ebuild
new file mode 100644
index 00000000..0d22fc44
--- /dev/null
+++ b/www-client/epiphany/epiphany-3.7.91.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit autotools eutils gnome2 pax-utils versionator virtualx
+if [[ ${PV} = 9999 ]]; then
+ inherit gnome2-live
+fi
+
+DESCRIPTION="GNOME webbrowser based on Webkit"
+HOMEPAGE="http://projects.gnome.org/epiphany/"
+
+# TODO: coverage
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+nss test"
+if [[ ${PV} = 9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+RDEPEND="
+ >=app-crypt/libsecret-0.14
+ >=app-crypt/gcr-3.5.5
+ >=app-text/iso-codes-0.35
+ >=dev-libs/glib-2.35.6:2
+ >=dev-libs/libxml2-2.6.12:2
+ >=dev-libs/libxslt-1.1.7
+ >=gnome-base/gsettings-desktop-schemas-0.0.1
+ >=net-dns/avahi-0.6.22
+ >=net-libs/webkit-gtk-1.11.5:3
+ >=net-libs/libsoup-2.41.3:2.4
+ >=x11-libs/gtk+-3.7.10:3
+ >=x11-libs/libnotify-0.5.1:=
+ gnome-base/gnome-desktop:3=
+
+ dev-db/sqlite:3
+ x11-libs/libwnck
+ x11-libs/libX11
+
+ x11-themes/gnome-icon-theme
+ x11-themes/gnome-icon-theme-symbolic
+
+ nss? ( dev-libs/nss )
+"
+# paxctl needed for bug #407085
+# eautoreconf requires gnome-common-3.5.5
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.50
+ sys-apps/paxctl
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ gnome2_src_configure \
+ --enable-shared \
+ --disable-static \
+ --with-distributor-name=Gentoo \
+ $(use_enable nss)
+ $(use_enable test tests)
+}
+
+src_compile() {
+ # needed to avoid "Command line `dbus-launch ...' exited with non-zero exit status 1"
+ unset DISPLAY
+ gnome2_src_compile
+}
+
+src_test() {
+ # FIXME: this should be handled at eclass level
+ "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
+
+ GSETTINGS_SCHEMA_DIR="${S}/data" Xemake check
+}
+
+src_install() {
+ DOCS="AUTHORS ChangeLog* HACKING MAINTAINERS NEWS README TODO"
+ gnome2_src_install
+}
diff --git a/www-client/epiphany/epiphany-9999.ebuild b/www-client/epiphany/epiphany-9999.ebuild
index fe0c26aa..7e6cdeb7 100644
--- a/www-client/epiphany/epiphany-9999.ebuild
+++ b/www-client/epiphany/epiphany-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -16,9 +16,8 @@ HOMEPAGE="http://projects.gnome.org/epiphany/"
# TODO: coverage
LICENSE="GPL-2"
SLOT="0"
-IUSE="+introspection +jit +nss test"
+IUSE="+nss test"
if [[ ${PV} = 9999 ]]; then
- IUSE="${IUSE} doc"
KEYWORDS=""
else
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
@@ -27,61 +26,41 @@ fi
RDEPEND="
>=app-crypt/gcr-3.5.5
>=app-text/iso-codes-0.35
- >=dev-libs/glib-2.31.2:2
+ >=dev-libs/glib-2.35.6:2
>=dev-libs/libxml2-2.6.12:2
>=dev-libs/libxslt-1.1.7
>=gnome-base/gnome-keyring-2.26.0
>=gnome-base/gsettings-desktop-schemas-0.0.1
>=net-dns/avahi-0.6.22
- >=net-libs/webkit-gtk-1.9.6:3[introspection?]
- >=net-libs/libsoup-gnome-2.39.6:2.4
- >=x11-libs/gtk+-3.5.2:3[introspection?]
+ >=net-libs/webkit-gtk-1.11.5:3
+ >=net-libs/libsoup-2.41.3:2.4
+ >=x11-libs/gtk+-3.5.4:3
>=x11-libs/libnotify-0.5.1:=
gnome-base/gnome-desktop:3=
dev-db/sqlite:3
+ x11-libs/libwnck
x11-libs/libX11
x11-themes/gnome-icon-theme
x11-themes/gnome-icon-theme-symbolic
- introspection? ( >=dev-libs/gobject-introspection-0.9.5 )
- !jit? ( net-libs/webkit-gtk[-jit] )
nss? ( dev-libs/nss )
"
# paxctl needed for bug #407085
# eautoreconf requires gnome-common-3.5.5
DEPEND="${RDEPEND}
- introspection? ( jit? ( >=gnome-base/gnome-common-3.5.5 ) )
- >=dev-util/gtk-doc-am-1
>=dev-util/intltool-0.50
sys-apps/paxctl
sys-devel/gettext
virtual/pkgconfig
"
-if [[ ${PV} = 9999 ]]; then
- DEPEND="${DEPEND}
- doc? ( >=dev-util/gtk-doc-1 )"
-fi
-
-src_prepare() {
- # Build-time segfaults under PaX with USE=introspection when building
- # against webkit-gtk[introspection,jit]
- if use introspection && use jit; then
- epatch "${FILESDIR}/${PN}-3.3.90-paxctl-introspection.patch"
- cp "${FILESDIR}/paxctl.sh" "${S}/" || die
- [[ ${PV} != 9999 ]] && eautoreconf
- fi
- gnome2_src_prepare
-}
src_configure() {
- DOCS="AUTHORS ChangeLog* HACKING MAINTAINERS NEWS README TODO"
G2CONF="${G2CONF}
--enable-shared
--disable-static
--with-distributor-name=Gentoo
- $(use_enable introspection)
$(use_enable nss)
$(use_enable test tests)"
gnome2_src_configure
@@ -97,11 +76,11 @@ src_test() {
# FIXME: this should be handled at eclass level
"${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
- use jit && pax-mark m $(list-paxables tests/test*) #415801
GSETTINGS_SCHEMA_DIR="${S}/data" Xemake check
}
src_install() {
+ DOCS="AUTHORS ChangeLog* HACKING MAINTAINERS NEWS README TODO"
gnome2_src_install
use jit && pax-mark m "${ED}usr/bin/epiphany"
}
diff --git a/www-client/epiphany/files/epiphany-3.3.90-paxctl-introspection.patch b/www-client/epiphany/files/epiphany-3.3.90-paxctl-introspection.patch
deleted file mode 100644
index f9e06164..00000000
--- a/www-client/epiphany/files/epiphany-3.3.90-paxctl-introspection.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-From 1eee9260eba23a7fc17df49c5a0e24a99f88482a Mon Sep 17 00:00:00 2001
-From: Alexandre Rostovtsev <tetromino@gentoo.org>
-Date: Sun, 4 Mar 2012 21:55:20 -0500
-Subject: [PATCH] Add PaX marking to allow building introspection under PaX
-
----
- src/Makefile.am | 1 +
- 1 files changed, 1 insertions(+), 0 deletions(-)
-
-diff --git a/src/Makefile.am b/src/Makefile.am
-index d6bf77f..ce52591 100644
---- a/src/Makefile.am
-+++ b/src/Makefile.am
-@@ -277,6 +277,7 @@ EPHY_GIR_C_FILES = \
-
- Epiphany-$(EPIPHANY_API_VERSION).gir: $(INTROSPECTION_SCANNER) $(EPHY_GIR_H_FILES) \
- $(EPHY_GIR_C_FILES) epiphany
-+ bash $(top_srcdir)/paxctl.sh -m ./epiphany
- $(AM_V_GEN) PKG_CONFIG_PATH=$(top_builddir)/data:$$PKG_CONFIG_PATH \
- $(INTROSPECTION_SCANNER) -v --warn-all \
- --identifier-prefix=Ephy \
---
-1.7.8.5
-
diff --git a/www-client/epiphany/files/paxctl.sh b/www-client/epiphany/files/paxctl.sh
deleted file mode 100755
index bb1b6e07..00000000
--- a/www-client/epiphany/files/paxctl.sh
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/bash
-# PaX marking code stolen from pax-utils.eclass
-
-flags=${1//-}; shift
-
-if type -p paxctl > /dev/null; then
- echo "PT PaX marking -${flags} $@"
- for f in "$@"; do
- # First, try modifying the existing PAX_FLAGS header
- paxctl -q${flags} "${f}" && continue
- # Second, try stealing the (unused under PaX) PT_GNU_STACK header
- paxctl -qc${flags} "${f}" && continue
- # Third, try pulling the base down a page, to create space and
- # insert a PT_GNU_STACK header (works on ET_EXEC)
- paxctl -qC${flags} "${f}" && continue
- done
-elif type -p scanelf > /dev/null; then
- # Try scanelf, the Gentoo swiss-army knife ELF utility
- # Currently this sets PT if it can, no option to control what it does.
- echo "Fallback PaX marking -${flags} $@"
- scanelf -Xxz ${flags} "$@"
-fi
-
-exit 0